package edu.laura.temaValaszt.login;

import java.util.Map;

import org.apache.struts2.interceptor.SessionAware;

import com.opensymphony.xwork2.ActionSupport;

/**
 * Bejelentkezesi logika
 * 
 *
 */
public class LoginAction extends ActionSupport implements SessionAware {

	private static final long serialVersionUID = 1L;
	private String name;
	private String passwd;
	private Map session;
	public static String LOGGEDSTUD="loggedStudent";
	
	public void setSession(Map session) {
		this.session = session;
	}

	public String execute(){
			if (session.get(LOGGEDSTUD)!=null)  {
				return SUCCESS;
			}
			return INPUT;
	}
	
	
	public void validate(){
		
	}
	
	
	public String verify(){
		PersonBean loggedInPerson;
		loggedInPerson=LoginBL.verifyLogin(name, passwd);
		if (loggedInPerson!=null) {
			session.put(LOGGEDSTUD, loggedInPerson);
			return SUCCESS;
		} else {
			addActionError(getText("loginerror"));
			return INPUT;
		}
		
	}
	
	public String sendMail(){
		String password;
		password=LoginBL.verifyStudentInDatabase(name);
		if(password!=null){
			LoginBL.sendMail(name, password);
		}
		else{
			addActionError(getText("sendmailerror"));
		}
	  
		return INPUT;
	}
	
	
	public String logout(){
		session.clear();
		return INPUT;
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPasswd() {
		return passwd;
	}
	public void setPasswd(String passwd) {
		this.passwd = passwd;
	}
	
	
}
